{
  "nombre": "Tareas del Workflow",
  "botones": [
    {
      "texto": "Agregar Tarea",
      "icono": "add",
      "endpoint": "Engine",
      "type": "dialog",
      "action": {
        "type": "dialog",
        "config": {
          "location": "structure/",
          "title": "Creación de un Nueva Tarea",
          "action": "creacion",
          "name": "wftar"
        }
      }
    }
  ],
  "body": [
    {
      "componente": "SuperGrid",
      "resultVariableName": "",
      "filtro": {
        "label": "Proceso",
        "name": "qp",
        "type": "supercombobox",
        "tabla": "wfproc",
        "id": "ProcId",
        "text": "ProcNom",
        "disabled": false
      },
      "botones": [
        {
          "order": 1,
          "icon": "edit",
          "name": "Editar",
          "disabledCondition": "&userType = 'basic'",
          "action": {
            "type": "dialog",
            "config": {
              "location": "structure/",
              "title": "Edición de Tarea",
              "action": "edicion",
              "name": "wftar"
            }
          }
        },
        {
          "order": 2,
          "icon": "delete",
          "name": "Eliminar Tarea",
          "action": {
            "type": "apicall",
            "url": "Engine",
            "mode": "form-urlencoded",
            "mensajeExitoso": "La tarea fue eliminada exitosamente",
            "mensajeError": "No se pudo borrar la tarea",
            "formData": {
              "paquete": "std",
              "clase": "Std",
              "metodo": "deletO2M",
              "parametros": {
                "tabla": "wftar",
                "tablaHijo": "",
                "campoId": "TarId",
                "cabe": "$(resultData)"
              }
            }
          }
        }
      ]
    }
  ]
}
